List all API paths

/

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This call returns all API paths, so that you don't need to rely on documentation in the terminal.

https://cgc-api.sbgenomics.com/v2/

##Request

Example request

GET /v2/ HTTP/1.1
Host: cgc-api.sbgenomics.com
X-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74
curl  -s -H "X-SBG-Auth-Token: 6282d5e2121d43e7900e9d52b15845e7" -H "content-type: application/json" -X GET https://cgc-api.sbgenomics.com/v2/

👍

Listing API calls

Your authentication token is not necessary to make this call (only).

Response

See a list of CGC-specific response codes that may be contained in the body of the response.

Example response body

{
  "rate_limit_url": "https://cgc-api.sbgenomics.com/v2/rate_limit",
  "user_url": "https://cgc-api.sbgenomics.com/v2/user",
  "users_url": "https://cgc-api.sbgenomics.com/v2/users",
  "billing_url": "https://cgc-api.sbgenomics.com/v2/billing",
  "projects_url": "https://cgc-api.sbgenomics.com/v2/projects",
  "files_url": "https://cgc-api.sbgenomics.com/v2/files",
  "tasks_url": "https://cgc-api.sbgenomics.com/v2/tasks",
  "apps_url": "https://cgc-api.sbgenomics.com/v2/apps",
  "action_url": "https://cgc-api.sbgenomics.com/v2/action",
  "upload_url":"https://cgc-api.sbgenomics.com/v2/upload",
  "storage_url": "https://cgc-api.sbgenomics.com/v2/storage"
}
Language
LoadingLoading…